Description

I think it is good idea to add alternate text (may be title field) to avatars in the Activity log. This text could be descriptive about the

action being logged, par example: 'Issue closed', 'Issue opened', 'Revision committed' etc. Why this could be good: the icons

(avatars) are small and sometimes it is difficult to be recognized. This sometimes happens to me.

I did some research and found that avatars are rendered at source:/trunk/app/views/activities/index.html.erb but did not find code that

renders the activity icons.

Related issues:

Has duplicate Redmine - Feature #12553: Add tooltip for icons that are shown ... Closed

History

#1 - 2012-11-28 07:33 - Ivan Cenov

P.S. I was wrong: not to avatars; to the activity icons instead.

#2 - 2012-11-28 11:50 - Jean-Philippe Lang

Activity icons are defined as background images in the application stylesheet. AFAIK, titles can't be added to these images.

#3 - 2012-11-28 18:26 - Ivan Cenov

Jean-Philippe Lang wrote:

Activity icons are defined as background images in the application stylesheet. AFAIK, titles can't be added to these images.

 Hmmm, this was why I didn't see any code that renders these images in source:/trunk/app/views/activities/index.html.erb ... I looked at HTML docs,

no luck here, indeed.

If this can be coded, it should appear before source:/trunk/app/views/activities/index.html.erb#L10. The variable e, I suppose so, is the current event

being displayed. Where can I find the declaration of its class? I would like to play with this ...

#4 - 2017-01-01 14:12 - Go MAEDA

- Category changed from UI to Activity view

#5 - 2017-01-01 14:12 - Go MAEDA

- Has duplicate Feature #12553: Add tooltip for icons that are shown in activity view added
